﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6030: (1 year) VER IEEE /5820A
DATE:                  2017-04-11 12:01:45
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       313
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the BW of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  IEEE         [@DMM]
  1.005  ENDIF

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright

# Initialize UUT.
  1.013  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.014  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.015  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.016  MATH         Model = "WR6030" ; @NumChan = 4 ; @BW_MHz = 350

  1.017  IF           NOT(FIND(@ModelNum, Model, 1))
  1.018  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.019  DISP         The UUT is an [V @ModelNum], not a [V Model]!
  1.019  DISP
  1.019  DISP         Select "Advance", choose the appropriate
  1.019  DISP         procedure for the UUT, then restart.
  1.020  END
  1.021  ENDIF

  1.022  CALL         Sub High Voltage Safety Warning
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub WR6000 Preliminary Instructions

  1.025  HEAD         EQUIPMENT REQUIREMENTS
  1.026  OPBR         Do you want to review the list of additional
  1.026  OPBR         equipment and/or accessories required?

  1.027  IF           MEM1 > 0
# Description of additional test equipment required to run this procedure.
  1.028  DISP         The following additional equipment and/or
  1.028  DISP         accessories are required:
  1.028  DISP
  1.028  DISP         - Cable, double-banana(m)-(m), Pomona Model 2BC-24
  1.028  DISP         - Adapter, double-banana jacks to BNC(m), Pomona
  1.028  DISP         [32] Model 1296 or equivalent
  1.029  ENDIF

  1.030  JMPL         INPUT_NOISE

# ====== INPUT IMPEDANCE ===================================================

  1.031  LABEL        INPUT_IMPEDANCE_1
  1.032  RSLT         =
  1.033  HEAD         {INPUT IMPEDANCE TEST (DC coupled)}
  1.034  MATH         @Chan = 1
  1.035  DISP         Make the following connections:
  1.035  DISP
  1.035  DISP         [32]        5820A            to          UUT
  1.035  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 1 input
  1.035  DISP
  1.035  DISP         The next routine operator intervention occurs
  1.035  DISP         in approximately 7 minutes...
  1.036  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.037  JMPL         LEAKAGE_VOLTAGE

  1.038  LABEL        INPUT_IMPEDANCE_2
  1.039  MATH         @Chan = 2
  1.040  DISP         Make the following connections:
  1.040  DISP
  1.040  DISP         [32]        5820A            to          UUT
  1.040  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 2 input
  1.040  DISP
  1.040  DISP         The next routine operator intervention occurs
  1.040  DISP         in approximately 7 minutes...
  1.041  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.042  JMPL         LEAKAGE_VOLTAGE_2

  1.043  LABEL        INPUT_IMPEDANCE_3
  1.044  MATH         @Chan = 3
  1.045  DISP         Make the following connections:
  1.045  DISP
  1.045  DISP         [32]        5820A            to          UUT
  1.045  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 3 input
  1.045  DISP
  1.045  DISP         The next routine operator intervention occurs
  1.045  DISP         in approximately 7 minutes...
  1.046  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.047  JMPL         LEAKAGE_VOLTAGE_3

  1.048  LABEL        INPUT_IMPEDANCE_4
  1.049  MATH         @Chan = 4
  1.050  DISP         Make the following connections:
  1.050  DISP
  1.050  DISP         [32]        5820A            to          UUT
  1.050  DISP         [32] SOURCE/MEASURE CHAN 1 -------> Channel 4 input
  1.050  DISP
  1.050  DISP         The next routine operator intervention occurs
  1.050  DISP         in approximately 7 minutes...
  1.051  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.052  JMPL         LEAKAGE_VOLTAGE_4

  1.053  LABEL        INPUT_IMPEDANCE_EXT
  1.054  MATH         @Chan = 5
  1.055  DISP         Make the following connections:
  1.055  DISP
  1.055  DISP         [32]        5820A            to          UUT
  1.055  DISP         [32] SOURCE/MEASURE CHAN 1 -------> EXTernal input
  1.055  DISP
  1.055  DISP         The next routine operator intervention occurs
  1.055  DISP         in approximately 1 minute...
  1.056  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.057  JMPL         LEAKAGE_VOLTAGE_EXT

# ====== LEAKAGE ===========================================================

  1.058  LABEL        LEAKAGE_VOLTAGE
  1.059  RSLT         =
  1.060  HEAD         {LEAKAGE VOLTAGE TEST}
  1.061  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.062  JMPL         CH1_DC_MEASUREMENT

  1.063  LABEL        LEAKAGE_VOLTAGE_2
  1.064  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.065  JMPL         CH2_DC_MEASUREMENT

  1.066  LABEL        LEAKAGE_VOLTAGE_3
  1.067  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.068  JMPL         CH3_DC_MEASUREMENT

  1.069  LABEL        LEAKAGE_VOLTAGE_4
  1.070  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800
  1.071  JMPL         CH4_DC_MEASUREMENT

  1.072  LABEL        LEAKAGE_VOLTAGE_EXT
  1.073  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /5800

  1.074  END

# ====== INPUT NOISE =======================================================

  1.075  LABEL        INPUT_NOISE
  1.076  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.077  JMPL         INPUT_IMPEDANCE_1

# ====== DC GAIN ACCURACY ==================================================

  1.078  LABEL        CH1_DC_MEASUREMENT
  1.079  RSLT         =
  1.080  HEAD         {DC ACCURACY TEST}
  1.081  CALL         Sub WR6000 Select Channel
  1.082  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.083  JMPL         CH1_OFFSET_MEASUREMENT

  1.084  LABEL        CH2_DC_MEASUREMENT
  1.085  CALL         Sub WR6000 Select Channel
  1.086  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.087  JMPL         CH2_OFFSET_MEASUREMENT

  1.088  LABEL        CH3_DC_MEASUREMENT
  1.089  CALL         Sub WR6000 Select Channel
  1.090  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.091  JMPL         CH3_OFFSET_MEASUREMENT

  1.092  LABEL        CH4_DC_MEASUREMENT
  1.093  CALL         Sub WR6000 Select Channel
  1.094  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /5800
  1.095  JMPL         CH4_OFFSET_MEASUREMENT

 # ====== OFFSET ============================================================

  1.096  LABEL        CH1_OFFSET_MEASUREMENT
  1.097  RSLT         =
  1.098  HEAD         {OFFSET TEST}
  1.099  CALL         Sub WR6000 Select Channel
  1.100  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.101  JMPL         CH1_ANALOG_BANDWIDTH

  1.102  LABEL        CH2_OFFSET_MEASUREMENT
  1.103  CALL         Sub WR6000 Select Channel
  1.104  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.105  JMPL         CH2_ANALOG_BANDWIDTH

  1.106  LABEL        CH3_OFFSET_MEASUREMENT
  1.107  CALL         Sub WR6000 Select Channel
  1.108  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.109  JMPL         CH3_ANALOG_BANDWIDTH

  1.110  LABEL        CH4_OFFSET_MEASUREMENT
  1.111  CALL         Sub WR6000 Select Channel
  1.112  CALL         Sub WR6000 (1 yr) Offset VER IEEE /5800
  1.113  JMPL         CH4_ANALOG_BANDWIDTH

# ====== BANDWIDTH =========================================================

  1.114  LABEL        CH1_ANALOG_BANDWIDTH
  1.115  RSLT         =
  1.116  HEAD         {BANDWIDTH TESTS}
  1.117  CALL         Sub WR6000 Select Channel
  1.118  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800
  1.119  JMPL         TRIGGER_LEVEL_1

  1.120  LABEL        CH2_ANALOG_BANDWIDTH
  1.121  CALL         Sub WR6000 Select Channel
  1.122  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800
  1.123  JMPL         TRIGGER_LEVEL_2

  1.124  LABEL        CH3_ANALOG_BANDWIDTH
  1.125  CALL         Sub WR6000 Select Channel
  1.126  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800
  1.127  JMPL         TRIGGER_LEVEL_3

  1.128  LABEL        CH4_ANALOG_BANDWIDTH
  1.129  CALL         Sub WR6000 Select Channel
  1.130  CALL         Sub WR6000 (1 yr) BW VER IEEE /5800
  1.131  JMPL         TRIGGER_LEVEL_4

# ====== TRIGGER LEVEL =====================================================

  1.132  LABEL        TRIGGER_LEVEL_1
  1.133  RSLT         =
  1.134  HEAD         {TRIGGER TEST (DC coupled)}
  1.135  CALL         Sub WR6000 Select Channel
  1.136  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.137  JMPL         TIMEBASE

  1.138  LABEL        TRIGGER_LEVEL_2
  1.139  CALL         Sub WR6000 Select Channel
  1.140  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.141  JMPL         INPUT_IMPEDANCE_EXT          @NumChan < 4
  1.142  JMPL         INPUT_IMPEDANCE_3

  1.143  LABEL        TRIGGER_LEVEL_3
  1.144  CALL         Sub WR6000 Select Channel
  1.145  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.146  JMPL         INPUT_IMPEDANCE_4

  1.147  LABEL        TRIGGER_LEVEL_4
  1.148  CALL         Sub WR6000 Select Channel
  1.149  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /5800
  1.150  JMPL         INPUT_IMPEDANCE_EXT

# ====== TIMEBASE ==========================================================

  1.151  LABEL        TIMEBASE
  1.152  RSLT         =
  1.153  HEAD         {TIMEBASE TEST}
  1.154  MATH         @Chan = 1
  1.155  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /5800
  1.156  JMPL         INPUT_IMPEDANCE_2
